Bug 207227 - [MAINTAINER] [PATCH] www/drupal6: add EOL message to pkg-message
Summary: [MAINTAINER] [PATCH] www/drupal6: add EOL message to pkg-message
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-02-15 19:52 UTC by Simon Wright
Modified: 2016-02-25 15:28 UTC (History)
2 users (show)

See Also:


Attachments
Patch to pkg-message.in (921 bytes, patch)
2016-02-15 19:52 UTC, Simon Wright
no flags Details | Diff
Patch to pkg-message and Makefile (993 bytes, patch)
2016-02-15 20:15 UTC, Simon Wright
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Wright 2016-02-15 19:52:39 UTC
Created attachment 167048 [details]
Patch to pkg-message.in

Drupal 6 will go end-of-life upstream on 24th February 2016. Please add an EOL text for the port to pkg-message as per the patch.

Note the Bug #205812 adds a similar message to UPDATING but has not been committed.
Comment 1 Simon Wright 2016-02-15 20:15:08 UTC
Created attachment 167049 [details]
Patch to pkg-message and Makefile

Added EOL comment to pkg-message, DEPRECATED and EXPIRATION_DATE to Makefile as per Kurt's comments in #205812
Comment 2 commit-hook freebsd_committer 2016-02-15 21:28:18 UTC
A commit references this bug:

Author: pi
Date: Mon Feb 15 21:27:47 UTC 2016
New revision: 408959
URL: https://svnweb.freebsd.org/changeset/ports/408959

Log:
  www/drupal6: add DEPRECATE, EXPIRE and warn in pkg-message

  - upstream EOLed the version

  PR:		207227
  Submitted by:	simon.wright@gmx.net (maintainer)

Changes:
  head/www/drupal6/Makefile
  head/www/drupal6/files/pkg-message.in
Comment 3 Kurt Jaeger freebsd_committer 2016-02-15 21:29:40 UTC
Committed, thanks. Please note that I moved the DEPRECATED/EXPIRATION_DATE lines around, to silence portlint -AC.
Comment 4 commit-hook freebsd_committer 2016-02-25 15:28:03 UTC
A commit references this bug:

Author: feld
Date: Thu Feb 25 15:27:12 UTC 2016
New revision: 409525
URL: https://svnweb.freebsd.org/changeset/ports/409525

Log:
  MFH: r408959

  www/drupal6: add DEPRECATE, EXPIRE and warn in pkg-message

  - upstream EOLed the version

  PR:		207227
  Submitted by:	simon.wright@gmx.net (maintainer)
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/www/drupal6/Makefile
  branches/2016Q1/www/drupal6/files/pkg-message.in